Get Records
curl -X GET "https://api.5centscdn.com/v2/dns/example_string/records?limit=10&page=1&host=example_string&type=example_string" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY"
import requests
import json
url = "https://api.5centscdn.com/v2/dns/example_string/records?limit=10&page=1&host=example_string&type=example_string"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/dns/example_string/records?limit=10&page=1&host=example_string&type=example_string", {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.5centscdn.com/v2/dns/example_string/records?limit=10&page=1&host=example_string&type=example_string", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/dns/example_string/records?limit=10&page=1&host=example_string&type=example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"domain": "example.com",
"pageMax": [
"null"
],
"records": 16
}
GET
/dns/{dnsId}/recordsGET
Base URLstring
Target server for requests. Edit to use your own host.
API Key (header: X-API-Key)
X-API-Keystring
RequiredAPI key (sent in header)
Request Preview
Response
Response will appear here after sending the request
Authentication
header
X-API-Keystring
RequiredAPI Key for authentication. Provide your API key in the header.
Path Parameters
Query Parameters
limitinteger
Example:
10pageinteger
Example:
1Responses
domainobject
Domain name configured in the DNS zone.
idinteger
Unique identifier.
serviceidinteger
Service account identifier.
domainstring
Domain name configured in the DNS zone.
pageMaxstring[]
Total number of pages available for the records listing.
recordsstring[]
Total number of DNS records configured in this zone.
Was this page helpful?